---
updatedAt: 2025-06-12T23:58:37.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# Get Payer

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/payers/{id}": {
      "get": {
        "summary": "Get Payer",
        "description": "",
        "operationId": "get-payer",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Id of the Payer.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"id\": \"pyr_8xpn6le15nk1v9jo4g\",\n    \"owner\": {\n        \"type\": \"END_USER\",\n        \"id\": \"eus_ov8jkx67ny1dbglamy\"\n    },\n    \"type\": \"PERSON\",\n    \"name\": \"Satoshi Nakamoto\",\n    \"bankDetails\": {\n        \"iban\": \"GB41BARC20038477799771\"\n    },\n    \"additionalDetails\": {\n         \"addressLine1\": \"23 Essex Rd\",\n         \"addressCity\": \"Tarbert\",\n         \"addressPostalCode\": \"PA41 0UW\"\n        },\n    \"createdAt\": 1638882562371,\n    \"updatedAt\": 1638882562371,\n    \"metadata\": null\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "pyr_8xpn6le15nk1v9jo4g"
                    },
                    "owner": {
                      "type": "object",
                      "properties": {
                        "type": {
                          "type": "string",
                          "example": "END_USER"
                        },
                        "id": {
                          "type": "string",
                          "example": "eus_ov8jkx67ny1dbglamy"
                        }
                      }
                    },
                    "type": {
                      "type": "string",
                      "example": "PERSON"
                    },
                    "name": {
                      "type": "string",
                      "example": "Satoshi Nakamoto"
                    },
                    "bankDetails": {
                      "type": "object",
                      "properties": {
                        "iban": {
                          "type": "string",
                          "example": "GB41BARC20038477799771"
                        }
                      }
                    },
                    "additionalDetails": {
                      "type": "object",
                      "properties": {
                        "addressLine1": {
                          "type": "string",
                          "example": "23 Essex Rd"
                        },
                        "addressCity": {
                          "type": "string",
                          "example": "Tarbert"
                        },
                        "addressPostalCode": {
                          "type": "string",
                          "example": "PA41 0UW"
                        }
                      }
                    },
                    "createdAt": {
                      "type": "integer",
                      "example": 1638882562371,
                      "default": 0
                    },
                    "updatedAt": {
                      "type": "integer",
                      "example": 1638882562371,
                      "default": 0
                    },
                    "metadata": {}
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n     --url https://sandbox.fiatrepublic.com/api/v1/payers/pyr_8xpn6le15nk1v9jo4g \\\n     --header 'Accept: application/json' \n     --header 'Authorization: Basic ZmlhdHJlcHVibGljOmZpYXRyZXB1YmxpYw==' \\"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```